<?  session_start();
  require('../valtiempoinact.php');
 ?>
<html>
  <head>
   <title>Reporte Asistencias</title>
   <style>	 
            .tabla{width:100%;background:#ffffff;border-collapse: collapse;font-family:arial;}
			.titulo{height:35px;max-height:35px !important;background:#ffffff url(images/tlcancion.jpg) repeat-x;color:#0d0d0d;font-size:15px;}
			.titulos{height:30px;background:url(images/tcancion.jpg) ;max-height:30px !important;color:#ffffff;font-size:12px;}
			.subtitulos{height:30px;background:url(images/tcancion.jpg) repeat-x;max-height:30px !important;color:#ffffff;font-size:10px;}
			.nombre{height:28px;background:#0a0a0a;color:#ffffff;text-align:center;font-size:12px;}
			.concepto{height:28px;background:url(images/tcancion.jpg) repeat-x;color:#ffffff;text-align:center;font-size:11px;}
			.inp{width:100%px;text-align:right;font-size:10px;}
			.inpd{width:15px;text-align:right;font-size:10px;}
			.tdcal{background:#ffffff;font-size:11px;}
			.tdcali{background:#ffffff;font-size:11px;border-right:solid 1px #A9D0F5;}
			.tdcalm{background:#A9D0F5;font-size:11px;}
			.tdcal1p{background:#F9F263;font-size:11px;}
			.tdcali1p{background:#F9F263;font-size:11px;border-right:solid 1px #A9D0F5;}
			.tdcalm1p{background:#C6E06D;font-size:11px;}
			.act{display:block;overflow:hidden;width:100%;height:50px;background:#BEF781;font-family:arial;font-size:17px;font-weight:bold;color:#4B610B;text-align:center;border:solid 2px #4B610B;-moz-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;-khtml-border-radius: 5px; -Moz-box-shadow: 0px 5px 10px # 556B2F;-webkit-box-shadow: 0px 5px 10px #556B2F; box-shadow: 0px 5px 10px #556B2F;}
			.act p{position:relative;top:0px;}
			.act img{position:relative;width:40px;height:40px;top:-50px;left:250px;}
			h2{font-family:arial;font-size:16px;}
			.sinfor{text-decoration:none;}
        </style>
		<style type="text/css">
.info, .exito, .alerta, .error {
    font-family:Arial, Helvetica, sans-serif; 
    font-size:13px;
    border: 1px solid;
    margin: 10px 0px;
    padding:15px 10px 15px 50px;
    background-repeat: no-repeat;
    background-position: 10px center;
    position:relative;
}
.info {
    color: #00529B;
    background-color: #BDE5F8;
    background-image: url('info.png');
}
.exito {
    color: #4F8A10;
    background-color: #DFF2BF;
    background-image:url('images/exito.png');
}
}
</style>
		
		<script type="text/javascript">
/**************************************************************
Máscara de entrada. Script creado por Tunait! (21/12/2004)
Si quieres usar este script en tu sitio eres libre de hacerlo con la condición de que permanezcan intactas estas líneas, osea, los créditos.
No autorizo a distribuír el código en sitios de script sin previa autorización
Si quieres distribuírlo, por favor, contacta conmigo.
Ver condiciones de uso en http://javascript.tunait.com/
tunait@yahoo.com 
****************************************************************/
var patron = new Array(2,2,2)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>
		<script language="javascript" src="js/jquery-1.2.6.min.js"></script>
		<script>
		function cambiar(n,f,h,ide){
		    var id=n;
			var fecha=f;
			var hora=h;
			var ide=ide;
			$.post("actasis.php", { ida: id,fecha:fecha,hora:hora,idem:ide,sel:1}, function(data){
			$("#destino").html(data);
			});
			}
			function registra(){
			 var id=document.getElementById('id').value;
			 var fecha=document.getElementById('fecha').value;
			 var hora=document.getElementById('hora').value;
			 var obs=document.getElementById('obs').value;
			 var idemp=document.getElementById('ide').value;
			 $.post("actasis.php", { id:id,fechaa: fecha,horaa:hora,obsa:obs,idem:idemp,sel:2}, function(data){
			 $("#mod").html(data);
			 });
		     //alert(id+"-"+fecha+"-"+hora+"-"+obs+"-"+idemp);
			}
		</script>  
  </head>
<body>

 <? 
   require('../conectar.php');
   $asistencia=$_GET['asist'];
   $fini=$_GET['fi'];
   $ffin=$_GET['ff'];
   $id=$_GET['idemp'];
   $asist=$_GET['asist'];
   $nodias=$_GET['nodias'];
   $nodias2=$_GET['nodias2'];
   $var=$_GET['var'];
   
   $ano=substr($fini,0,4);
   $mes=substr($fini,5,2);
   
   $sql="SELECT id_empleado,nombre,a_pat,turno FROM empleados WHERE id_empleado='$id'";
   $res=mysql_query($sql);
   $ls=mysql_fetch_array($res);
   $turno=$ls['turno'];
   
	 if($turno=="MATUTINO"){
	   $hentrada="07:20:00";
	 }
	 if($turno=="VESPERTINO"){
	   $hentrada="14:20:00";
	 }
	 if($turno=="NOCTURNO"){
	   $hentrada="17:20:00";
	 }
  ?> 
 
    <table class="tabla">
	  <tr class="titulo">
	    <td colspan="<?echo ($nodias*3)+11;?>">
		  <center><b>Entrada: <?echo $hentrada;?></b></center>
		</td>
	  </tr>
	  <tr class="titulos">
	    <td align="center">Fecha</td><td align="center">Hora</td><td align="center">Mod</td>
	  </tr>
 <?  
  if($asist=="a")
    {
   $sqlasis="select id_asistencia,id_empleado,fecha,h_entrada from asistencias where id_empleado='$id' and fecha between '$fini' and '$ffin' and h_entrada<='$hentrada'";
   $datos=mysql_query($sqlasis);
   while($asistencia=mysql_fetch_array($datos))
      {
 ?>
       <tr>
        <td class="tdcalm" align="center"><?echo $asistencia['fecha'];?></td>
		<td class="tdcali" align="center"><?echo $asistencia['h_entrada'];?></td>
		<td align="center"><a href="javascript:cambiar('<?echo $asistencia['id_asistencia']?>','<?echo $asistencia['fecha'] ?>','<?echo $asistencia['h_entrada'] ?>','<?echo$id?>')"><img align="center" src="images/asistencia.png" width="15" height="15" border="0"/></a></td>
	   </tr>	
 <? 
      }
	}  
 if($asist=="f")
    {
	
$sqlasis="select id_asistencia,id_empleado,fecha,h_entrada from asistencias where id_empleado='$id' and fecha between '$fini' and '$ffin' and h_entrada>'$hentrada'";
   $datos=mysql_query($sqlasis);
   while($asistencia=mysql_fetch_array($datos))
      {
 ?>
       <tr>
        <td class="tdcalm" align="center">R | <?echo $asistencia['fecha'];?></td>
		<td class="tdcali" align="center"><?echo $asistencia['h_entrada'];?></td>
		<td align="center"><a href="javascript:cambiar('<?echo $asistencia['id_asistencia']?>','<?echo $asistencia['fecha'] ?>','<?echo $asistencia['h_entrada'] ?>','<?echo$id?>')"><img align="center" src="images/retardo.png" width="15" height="15" border="0" title="Modificar"/></a></td>
	   </tr>	
 <? 
      }
	if($nodias2>=6 && $nodias2<=20)
	  {
	 for($i=6;$i<=20;$i++) 
	  {
	    if($i<10){$d="0".$i;}else{$d=$i;}
		$fchact = $ano."-".$mes."-".$d;
	  
   $sqlasis="select id_asistencia,id_empleado,fecha,h_entrada from asistencias where id_empleado='$id' and fecha='$fchact'";
   $datos=mysql_query($sqlasis);
   $asistencia=mysql_fetch_array($datos);
    if($fchact!=$asistencia['fecha']){
 ?>  
       <tr>
        <td class="tdcalm" align="center">F | <?echo $fchact;?></td>
		<td class="tdcali" align="center"><?echo $asistencia['h_entrada'];?></td>
		<td align="center"><a href="javascript:cambiar('','<?echo $fchact ?>','','<?echo$id?>')"><img align="center" src="images/falta.png" width="15" height="15" border="0"/></a></td>
	   </tr>	
 <? 
      }else{
	    echo "";
	  }
	  }
	  }
	 // echo $nodias;
	 if($var==2){
	  if($nodias>=21 && $nodias<=31)
	   {
	  for($i=21;$i<=$nodias;$i++) 
	  {
	   if($i<10){$d="0".$i;}else{$d=$i;}
		$fchact = $ano."-".$mes."-".$d;
	  
   $sqlasis="select id_asistencia,id_empleado,fecha,h_entrada from asistencias where id_empleado='$id' and fecha='$fchact'";
   $datos=mysql_query($sqlasis);
   $asistencia=mysql_fetch_array($datos);
    if($fchact!=$asistencia['fecha']){
 ?>  
       <tr>
        <td class="tdcalm" align="center">F | <?echo $fchact;?></td>
		<td class="tdcali" align="center"><?echo $asistencia['h_entrada'];?></td>
		<td align="center"><a href="javascript:cambiar('','<?echo $fchact ?>','','<?echo$id?>')"><img align="center" src="images/falta.png" width="15" height="15" border="0"></a></td>
	   </tr>	
 <? 
      }else{
	    echo "";
	  }
	  }
	  for($i=1;$i<=5;$i++) 
	  {
	   if($i<10){$d="0".$i;}else{$d=$i;}
	   if($me1<10){
	      $mesig="0".($mes+1);
	   }
		$fchact = $ano."-".$mesig."-".$d;
	  
   $sqlasis="select id_asistencia,id_empleado,fecha,h_entrada from asistencias where id_empleado='$id' and fecha='$fchact'";
   $datos=mysql_query($sqlasis);
   $asistencia=mysql_fetch_array($datos);
    if($fchact!=$asistencia['fecha']){
 ?>  
       <tr>
        <td class="tdcalm" align="center">F | <?echo $fchact;?></td>
		<td class="tdcali" align="center"><?echo $asistencia['h_entrada'];?></td>
		<td align="center"><a href="javascript:cambiar('','<?echo $fchact ?>','','<?echo$id?>')"><img align="center" src="images/falta.png" width="15" height="15" border="0"></a></td>
	   </tr>	
 <? 
      }else{
	    echo "";
	  }
	  }
	  }
	  }
	}  
 ?>
   </table>
      
   <div id="destino"></div>
   <div id="mod"></div> 

</body>
</html>